NX Open C++ Reference Guide
|
Represents a Drawings::RefineDisplayBuilder . More...
Public Member Functions | |
NXOpen::Point * | BoundaryPoint1 () |
Returns the boundary point1 in drawing coordinates. | |
NXOpen::Point * | BoundaryPoint2 () |
Returns the boundary point2 in drawing coordinates. | |
void | SetBoundaryPoint1 (NXOpen::Point *boundaryPoint1) |
Sets the boundary point1 in drawing coordinates. | |
void | SetBoundaryPoint2 (NXOpen::Point *boundaryPoint2) |
Sets the boundary point2 in drawing coordinates. | |
NXOpen::Drawings::SelectDraftingView * | View () |
Returns the view to refine. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Drawings::RefineDisplayBuilder .
This class is used to refine regions of lightweight drawing views.
To create a new instance of this class, use Drawings::DraftingViewCollection::CreateRefineDisplayBuilder
Created in NX8.0.0.
NXOpen::Point* NXOpen::Drawings::RefineDisplayBuilder::BoundaryPoint1 | ( | ) |
Returns the boundary point1 in drawing coordinates.
This represents one of the points which defines the region to to be refined. If both boundary point1 and point2, are outside the view boundary, the view will not be refined
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::Drawings::RefineDisplayBuilder::BoundaryPoint2 | ( | ) |
Returns the boundary point2 in drawing coordinates.
This represents one of the points which defines the region to to be refined. If both boundary point1 and point2, are outside the view boundary, the view will not be refined
Created in NX8.0.0.
License requirements : None
void NXOpen::Drawings::RefineDisplayBuilder::SetBoundaryPoint1 | ( | NXOpen::Point * | boundaryPoint1 | ) |
Sets the boundary point1 in drawing coordinates.
This represents one of the points which defines the region to to be refined. If both boundary point1 and point2, are outside the view boundary, the view will not be refined
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
boundaryPoint1 | boundarypoint1 |
void NXOpen::Drawings::RefineDisplayBuilder::SetBoundaryPoint2 | ( | NXOpen::Point * | boundaryPoint2 | ) |
Sets the boundary point2 in drawing coordinates.
This represents one of the points which defines the region to to be refined. If both boundary point1 and point2, are outside the view boundary, the view will not be refined
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
boundaryPoint2 | boundarypoint2 |
NXOpen::Drawings::SelectDraftingView* NXOpen::Drawings::RefineDisplayBuilder::View | ( | ) |
Returns the view to refine.
This must be a lightweight drawing view
Created in NX8.0.0.
License requirements : None